
Redmine - Feature #13341

Mail handler: --no-notification option to disable notifications to the created user

2013-03-03 09:56 - Jean-Philippe Lang

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed   

Description

Related issues:

Related to Redmine - Defect #6069: No Outgoing Mails when Customer creates Ti... New 2010-08-06

Related to Redmine - Defect #29191: Cannot set no_notification option when re... Closed

Related to Redmine - Feature #29817: MailHandler ignores "Default notificatio... New

Associated revisions

Revision 11526 - 2013-03-03 09:57 - Jean-Philippe Lang

Mail handler: adds --no-notification option to disable notifications to the created user (#13341).

Revision 11590 - 2013-03-11 18:50 - Jean-Philippe Lang

Mail handler: set mail_notification to only_my_events when creating a new user (#13341).

Revision 11591 - 2013-03-11 19:00 - Jean-Philippe Lang

Merged r11526 and r11590 from trunk (#13341).

History

#1 - 2013-03-06 01:02 - Daniel Black

should this be expanded to offer all options available in the user's email notifications settings?

#2 - 2013-03-11 19:00 - Jean-Philippe Lang

- Status changed from Resolved to Closed

It can be usefull to disable email notifications when we don't want the user to receive any emails but being able to choose between all the options is

not so usefull IMO. I've the set the default to "only_my_events" in r11590.

#3 - 2013-03-11 23:07 - Daniel Black

Jean-Philippe Lang wrote:

It can be usefull to disable email notifications when we don't want the user to receive any emails but being able to choose between all the

options is not so usefull IMO. I've the set the default to "only_my_events" in r11590.

 Works for me. Thanks.

#4 - 2018-07-06 01:23 - Go MAEDA

- Related to Defect #29191: Cannot set no_notification option when receiving emails via  IMAP or POP3 added

#5 - 2018-10-28 06:31 - Go MAEDA

- Related to Feature #29817: MailHandler ignores "Default notification option" setting added
